import { Component, h } from '@stencil/core';
import { blog, firstPage, footer, header } from "../../utils/mock";
export class MyComponent {
    constructor() {
        /**
         * boolean для вывода кнопок
         */
        this.theme = true;
    }
    render() {
        return (h("div", null,
            h("s-abdullakh-header", { menu: header.menu, logoUrl: header.logoUrl, searchSubscribe: header.searchSubscribe, theme: this.theme, onClickOnTheme: () => this.clickOnTheme(), onClickOnHeader: (event) => this.clickOnHeader(event), onClickOnSwitchTheme: (event) => this.clickOnSwitchTheme(event) }),
            h("s-abdullakh-news", { newsImg: firstPage.newsImg, news: firstPage.news, sidebar: firstPage.sidebar, onClickOnNews: (event) => this.clickOnNews(event) }),
            h("s-abdullakh-new-post", { newPostTitle: firstPage.newPostTitle, newPost: firstPage.newPost, onClickNewPost: (event) => this.clickOnNewPost(event) }),
            h("s-abdullakh-popular-resources", { popularAsideTitle: firstPage.popularAsideTitle, popularAside: firstPage.popularAside, popularBanner: firstPage.popularBanner, onClickOnPopular: (event) => this.clickOnPopular(event) }),
            h("s-abdullakh-events", { eventsTitle: firstPage.eventsTitle, events: firstPage.events, onClickOnEvents: (event) => this.clickOnEvents(event) }),
            h("s-abdullakh-new-listiner", { newlistner: firstPage.newlistner, onClickOnListiner: (event) => this.clickOnListiner(event) }),
            h("s-abdullakh-app-blog", { p: blog.p }),
            h("s-abdullakh-footer", { footer: footer, onClickOnFooter: (event) => this.clickOnFooter(event) })));
    }
    /**
     * функция для переключения значения boolean для смены тем
     */
    clickOnTheme() {
        this.theme = !this.theme;
    }
    /**
     * клик по элементам Header
     */
    clickOnHeader({ detail }) {
        return console.log('clickOnHeader:', detail);
    }
    /**
     * клик по элементам Toggle theme
     */
    clickOnSwitchTheme({ detail }) {
        return console.log('clickOnSwitchTheme:', detail);
    }
    /**
     * клик по элементам clickOnNews
     */
    clickOnNews({ detail }) {
        return console.log("clickOnNews:", detail);
    }
    /**
     * клик по button в компоненете news
     */
    clickOnNewsButton({ detail }) {
        return console.log("clickOnNewsButton:", detail);
    }
    /**
     * клик по ссылке read report в компоненте newpost
     */
    clickOnNewPost({ detail }) {
        return console.log("clickOnNewPost:", detail);
    }
    /**
     * клик по элементам aside s-abdullakh-sidebar в компоненте popular resources
     */
    clickOnPopular({ detail }) {
        return console.log("clickOnPopular:", detail);
    }
    /**
     * клик по ссылке read report в компоненте newpost
     */
    clickOnEvents({ detail }) {
        return console.log("clickOnEvents:", detail);
    }
    /**
     * клик по button в компоненете Listiner
     */
    clickOnListiner({ detail }) {
        return console.log("clickOnListiner:", detail);
    }
    /**
     * клик по button в компоненете Footer
     */
    clickOnFooter({ detail }) {
        return console.log("clickOnFooter:", detail);
    }
    static get is() { return "my-component"; }
    static get originalStyleUrls() { return {
        "$": ["my-component.css"]
    }; }
    static get styleUrls() { return {
        "$": ["my-component.css"]
    }; }
}
